Bug 1907407 - Buildah version not accessible
Summary: Buildah version not accessible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Adam Kaplan
QA Contact: wewang
Rolfe Dlugy-Hegwer
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-14 13:08 UTC by Adam Kaplan
Modified: 2021-02-24 15:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
[discrete] [id="ocp-4-7-buildah-version"] // https://bugzilla.redhat.com/show_bug.cgi?id=1907407 ==== Print the buildah version to the build log In current version, when the OpenShift Container Platform performs a build and the log level is 5 or higher, it writes the buildah version information to the build log. This information helps Red Hat Engineering reproduce bug reports. Previously, this version information was not available in the build logs.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:43:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift builder pull 196 0 None closed Bug 1907407: Print buildah version 2021-02-06 17:48:53 UTC
Github openshift builder pull 199 0 None closed Bug 1907407: Use -mod=vendor to determine buildah version 2021-02-06 17:48:53 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:43:59 UTC

Description Adam Kaplan 2020-12-14 13:08:28 UTC
Description of problem:

Version of buildah cannot be easily identified from the logs.


Version-Release number of selected component (if applicable): 4.7


How reproducible: Always


Steps to Reproduce:
1. Run a build with BUILD_LOGLEVEL=5 or higher
2.
3.

Actual results:

Buildah version cannot be identified in logs

Expected results:

Buildah version packaged by openshift/builder can be identified


Additional info:
https://issues.redhat.com/browse/BUILD-197

Comment 2 wewang 2020-12-15 05:53:54 UTC
The bug already tested in the cluster launched by cluster-bot, and latest nightly build is not include the pr, will do regression test later in daily run, so verify it.

Comment 3 Adam Kaplan 2020-12-15 16:16:23 UTC
Moving this back to ASSIGNED - changes related to this are causing ART builds to fail.

Comment 5 wewang 2020-12-16 06:56:20 UTC
Thanks @Adam, when an accepted payload comes up, will check it.

Comment 6 wewang 2020-12-18 07:06:15 UTC
Verified in version:
4.7.0-0.nightly-2020-12-17-201522

Steps:
1. build logs info
[wewang@wangwen work]$ oc logs -f build/ruby-hello-world-2 |grep buildah
I1218 07:00:30.186628       1 builder.go:420] Powered by buildah v1.16.4
I1218 07:00:31.604327       1 builder.go:447] Powered by buildah v1.16.4
I1218 07:00:32.605616       1 builder.go:373] Powered by buildah v1.16.4

2. $ oc debug pod/ruby-hello-world-1-build
Starting pod/ruby-hello-world-1-build-debug ...
Pod IP: 10.128.2.56
If you don't see a command prompt, try pressing enter.
  
sh-4.4# openshift-sti-build version
openshift-sti-build 4.7.0-202012170204.p0-8504b3f
Buildah version v1.16.4
sh-4.4# openshift-docker-build version
openshift-docker-build 4.7.0-202012170204.p0-8504b3f
Buildah versish-4.4# openshift-extract-image-content version
openshift-extract-image-content 4.7.0-202012170204.p0-8504b3f
Buildah version v1.16.4
sh-4.4# openshift-git-clone version
openshift-git-clone 4.7.0-202012170204.p0-8504b3f
Buildah version v1.16.4
sh-4.4# openshift-manage-dockerfile version
openshift-manage-dockerfile 4.7.0-202012170204.p0-8504b3f
Buildah version v1.16.4
on v1.16.4

Comment 11 errata-xmlrpc 2021-02-24 15:43:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.